<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form id="ds033cerfa11542" label="Débit de boissons" xmlns="http://www.ge.fr/schema/1.2/form-manager" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
	<group id="infosDeclaration" label="La déclaration">
		<data id="typeDeclaration" label="Type de déclaration" mandatory="true" type="Radios(inline:true)">
			<conftype>
				<referential>
					<text id="typeOuverture">Ouverture</text>
					<text id="typeMutation">Mutation</text>
					<text id="typeTransfert">Transfert</text>
				</referential>
			</conftype>
		</data>
		<data id="dateEffet" label="Date d'effet" mandatory="true" type="date">
        </data>
	</group>
	<group id="infosGenerales" label="Le débit de boissons">
		<data id="typeDebitBoisson" label="Type de débit de boissons" mandatory="true" type="ComboBox" width="100%">
			<conftype>
				<referential>
					<text id="surPlace">Débit de boissons à consommer sur place</text>
					<text id="restaurant">Restaurant</text>
					<text id="aEmporter">Débit de boissons à emporter</text>
				</referential>
			</conftype>
		</data>
		<data id="licenceSurPlace" label="Licence" mandatory="true" type="ComboBox" width="100%">
			<if>Value('id').of($typeDebitBoisson).eq('surPlace')</if>
			<conftype>
				<referential>
					<text id="categorie3">Licence de 3ème catégorie</text>
					<text id="categorie4">Licence de 4ème catégorie</text>
				</referential>
			</conftype>
		</data>
		<data id="licenceRestaurant" label="Licence" mandatory="true" type="ComboBox" width="100%">
			<if>Value('id').of($typeDebitBoisson).eq('restaurant')</if>
			<conftype>
				<referential>
					<text id="restaurant1">Petite licence restaurant</text>
					<text id="restaurant2">Licence restaurant</text>
				</referential>
			</conftype>
		</data>
		<data id="licenceAEmporter" label="Licence" mandatory="true" type="ComboBox(ref:'aEmporter')" width="100%">
			<if>Value('id').of($typeDebitBoisson).eq('aEmporter')</if>
			<conftype>
				<referential>
					<text id="aEmporter1">Petite licence à emporter</text>
					<text id="aEmporter2">Licence à emporter</text>
				</referential>
			</conftype>
		</data>
		<data id="enseigne" label="Enseigne" mandatory="false" type="String(max:100)">
        </data>
		<data id="telephoneNum" label="Numéro de téléphone" mandatory="true" type="Phone(displayExample:true)">
        </data>
		<data id="adresseDifferente" label="Adresse différente du domicile du déclarant" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="adresseEtablissement" label="Adresse du débit de boissons">
			<if>$adresseDifferente</if>
			<group id="cadreAdresse" label="Adresse">
				<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
				<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
				<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
				<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
				<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
				<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
				<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
					<value>
						<text id="FRXXXXX">France</text>
					</value>
				</data>
				<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
					<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
				</data>
				<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
					<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
				<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
					<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
				</data>
			</group>
		</group>
	</group>
	<group id="infosDirigeants" label="Les dirigeants">
		<group id="cadreProprietairesExploitants[]" label="Le(s) Propriétaire(s) et exploitant(s)" max-occurs="5">
			<data id="typeSaisie" label="Saisie des informations concernant" mandatory="true" type="CheckBoxes">
				<conftype>
					<referential>
						<text id="proprietaire">Propriétaire</text>
						<text id="exploitant">Exploitant</text>
					</referential>
				</conftype>
			</data>
			<data id="autrePersonne" label="Autre que le déclarant" mandatory="true" type="boolean">
				<value>no</value>
			</data>
			<group id="infosPersonne" label="Identité et contact">
				<if>(Value('id').of(_group.typeSaisie).contains('proprietaire') or Value('id').of(_group.typeSaisie).contains('exploitant')) and _group.autrePersonne</if>
				<group id="cadreIdentite" label="Identité">
					<data id="civilite" label="Civilité" mandatory="true" type="Radios(inline:true)">
						<conftype>
							<referential>
								<text id="civiliteFeminin">Madame</text>
								<text id="civiliteMasculin">Monsieur</text>
							</referential>
						</conftype>
					</data>
					<data id="nomNaissance" label="Nom de naissance" mandatory="true" type="String(max:50)">
        </data>
					<data id="nomUsage" label="Nom d'usage" mandatory="false" type="String(max:50)">
        </data>
					<data id="prenoms[]" label="Prénom(s) dans l'ordre de l'état civil" mandatory="true" max-occurs="4" min-occurs="1" type="String(max:50)">
        </data>
				</group>
				<group id="cadreContact" label="Coordonnnées de contact">
					<data id="telephone" label="Téléphone :" mandatory="true" type="CheckBoxes">
						<conftype>
							<referential>
								<text id="telephoneFixe">Téléphone fixe</text>
								<text id="telephoneMobile">Téléphone mobile</text>
							</referential>
						</conftype>
					</data>
					<group id="telephoneFixe" label="Téléphone fixe">
						<if>Value('id').of(_group.telephone).contains('telephoneFixe')</if>
						<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
					</group>
					<group id="telephoneMobile" label="Téléphone mobile">
						<if>Value('id').of(_group.telephone).contains('telephoneMobile')</if>
						<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
					</group>
					<data id="courriel" label="Courriel" mandatory="false" type="email">
        </data>
					<data id="siteWeb" label="Site Web" mandatory="false" type="string">
        </data>
				</group>
				<group id="cadreAdresse" label="Adresse">
					<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
					<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
					<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
					<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
					<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
					<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
					<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
						<value>
							<text id="FRXXXXX">France</text>
						</value>
					</data>
					<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
						<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
					</data>
					<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
						<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
					</data>
					<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
						<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
					</data>
				</group>
			</group>
			<group id="cadreProprietaire" label="Informations sur le propriétaire">
				<if>Value('id').of(_group.typeSaisie).contains('proprietaire')</if>
				<data id="profession" label="Profession" mandatory="false" type="String(max:50)">
				</data>
			</group>
			<group id="cadreExploitant" label="Informations sur l'exploitant">
				<if>Value('id').of(_group.typeSaisie).contains('exploitant')</if>
				<group id="cadreNaissance" label="Etat civil">
					<data id="dateNaissance" label="Date de Naissance" mandatory="true" type="DateBirthDay">
        </data>
					<data id="paysNaissance" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
						<value>
							<text id="FRXXXXX">France</text>
						</value>
					</data>
					<data id="lieuNaissance" label="Lieu de Naissance" mandatory="true" type="String(max:50)">
        </data>
					<data id="nationalite" label="Nationalité" mandatory="true" type="String(max:26)">
						<value>Française</value>
					</data>
					<data id="doubleNationalite" label="Double nationalité" mandatory="true" type="Boolean">
						<value>no</value>
					</data>
					<data id="autreNationalite" label="Autre nationalité" mandatory="true" type="string(max:26)">
						<if>_group.doubleNationalite</if>
					</data>
					<group id="cadreComplementNaissance" label="Complément informations de naissance">
						<if>not Value('id').of(_group.paysNaissance).eq('FRXXXXX')</if>
						<data id="nomPere" label="Nom du père" mandatory="true" type="String(max:50)">
            </data>
						<data id="prenomsPere[]" label="Prénom(s) du père" mandatory="true" max-occurs="4" min-occurs="1" type="String(max:50)">
            </data>
						<data id="nomMere" label="Nom de naissance de la mère" mandatory="true" type="String(max:50)">
            </data>
						<data id="prenomsMere[]" label="Prénom(s) de la mère" mandatory="true" max-occurs="4" min-occurs="1" type="String(max:50)">
             </data>
					</group>
				</group>
				<data id="qualite" label="Agissant en qualité de" mandatory="true" type="Radios(inline:true)">
					<conftype>
						<referential>
							<text id="proprietaireExploitant">Propriétaire exploitant à titre individuel</text>
							<text id="locataireGerant">Locataire gérant (ou gérant mandataire)</text>
							<text id="representantLegal">Représentant légal de la société</text>
						</referential>
					</conftype>
				</data>
				<data id="permisExploitant" label="Permis" mandatory="false" type="CheckBoxes">
					<conftype>
						<referential>
							<text id="permisExploitation">Permis d'exploitation</text>
							<text id="permisVenteNuit">Permis de vente de boissons alcooliques la nuit</text>
						</referential>
					</conftype>
				</data>
				<group id="permisExploitation" label="Permis d'exploitation">
					<if>Value('id').of(_group.permisExploitant).contains('permisExploitation')</if>
					<data id="numero" label="Numéro du permis" mandatory="true" type="String(max:20)">
					</data>
					<data id="date" label="Date d'obtention" mandatory="true" type="DatePast">
					</data>
				</group>
				<group id="permisVenteNuit" label="Permis de vente de boissons alcooliques la nuit">
					<if>Value('id').of(_group.permisExploitant).contains('permisVenteNuit')</if>
					<data id="numero" label="Numéro du permis" mandatory="true" type="String(max:20)">
					</data>
					<data id="date" label="Date d'obtention" mandatory="true" type="DatePast">
					</data>
				</group>
				<group id="cadreSociete" label="Informations sur la société">
					<if>Value('id').of(_group.qualiteRepresentant).eq('representantLegal')</if>
					<data id="denomination" label="Dénomination sociale" mandatory="true" type="string(max:70)">
						<value>La société restaurant</value>
					</data>
					<data id="telephoneNum" label="Numéro de téléphone" mandatory="true" type="Phone(displayExample:true)">
					</data>
					<group id="cadreAdresse" label="Adresse">
						<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
						<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
						<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
						<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
						<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
						<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
						<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
							<conftype>
								<referential>
									<external>
										<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
										<base>content</base>
										<id>{{entityId}}</id>
										<label>{{{label}}}</label>
									</external>
								</referential>
							</conftype>
							<value>
								<text id="FRXXXXX">France</text>
							</value>
						</data>
						<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
							<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
						</data>
						<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
							<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
							<conftype>
								<referential>
									<external>
										<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
										<base>content</base>
										<id>{{entityId}}</id>
										<label>{{{label}}}</label>
									</external>
								</referential>
							</conftype>
						</data>
						<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
							<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
						</data>
					</group>
				</group>
			</group>
		</group>
	</group>
	<group id="cadreIdentiteGroupe" label="Votre identité">
		<group id="cadreIdentite" label="Identité">
			<data id="civilite" label="Civilité" mandatory="true" type="Radios(inline:true)">
				<conftype>
					<referential>
						<text id="civiliteFeminin">Madame</text>
						<text id="civiliteMasculin">Monsieur</text>
					</referential>
				</conftype>
			</data>
			<data id="nomNaissance" label="Nom de naissance" mandatory="true" type="String(max:50)">
        </data>
			<data id="nomUsage" label="Nom d'usage" mandatory="false" type="String(max:50)">
        </data>
			<data id="prenoms[]" label="Prénom(s) dans l'ordre de l'état civil" mandatory="true" max-occurs="4" min-occurs="1" type="String(max:50)">
        </data>
		</group>
		<group id="cadreContact" label="Coordonnnées de contact">
			<data id="telephone" label="Téléphone :" mandatory="true" type="CheckBoxes">
				<conftype>
					<referential>
						<text id="telephoneFixe">Téléphone fixe</text>
						<text id="telephoneMobile">Téléphone mobile</text>
					</referential>
				</conftype>
			</data>
			<group id="telephoneFixe" label="Téléphone fixe">
				<if>Value('id').of(_group.telephone).contains('telephoneFixe')</if>
				<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
			</group>
			<group id="telephoneMobile" label="Téléphone mobile">
				<if>Value('id').of(_group.telephone).contains('telephoneMobile')</if>
				<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
			</group>
			<data id="courriel" label="Courriel" mandatory="false" type="email">
        </data>
			<data id="siteWeb" label="Site Web" mandatory="false" type="string">
        </data>
		</group>
		<group id="cadreAdresse" label="Adresse">
			<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
			<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
			<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
			<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
			<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
			<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
			<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
				<value>
					<text id="FRXXXXX">France</text>
				</value>
			</data>
			<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
				<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
			</data>
			<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
				<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>
			<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
				<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
			</data>
		</group>
	</group>
	<group id="cadreSignatureGroupe" label="Votre signature">
		<group id="cadreSignature" label="Signature">
			<data id="soussigne" label="Je soussigné" mandatory="true" type="Radios(inline:true)">
				<conftype>
					<referential>
						<text id="signataireQualiteDeclarant">Le déclarant</text>
						<text id="signataireQualiteMandataire">Le mandataire ayant procuration</text>
					</referential>
				</conftype>
				<value>
					<text id="signataireQualiteDeclarant">Le déclarant</text>
				</value>
			</data>
			<data id="declarationHonneur" label="déclare sur l'honneur l'exactitude des informations saisies et signe la présente déclaration." type="BooleanCheckBox">
				<value>yes</value>
			</data>
			<group id="informationsMandataire" label="Coordonnées du mandataire">
				<if>Value('id').of($cadreSignature.soussigne).eq('signataireQualiteMandataire')</if>
				<data id="nomPrenomDenomination" label="Nom et prénom du mandataire ou dénomination sociale :" mandatory="true" type="String(max:100)"/>
				<group id="cadreAdresse" label="Adresse">
					<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
					<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
					<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
					<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
					<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
					<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
					<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
						<value>
							<text id="FRXXXXX">France</text>
						</value>
					</data>
					<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
						<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
					</data>
					<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
						<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
					</data>
					<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
						<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
					</data>
				</group>
			</group>
			<data id="signatureLieu" label="Fait à" mandatory="true" type="String(max:32)">
            </data>
			<data id="signatureDate" label="Le" mandatory="true" type="DatePast">
			</data>
		</group>
	</group>
</form>